Subject: Re: bug#7368: display-buffer a softly dedicated window

From: Андрей Парамонов<[email-masked]>
Date: Wed, 17 Nov 2010 12:58:45 +0300

2010/11/17 martin rudalics <[email-masked]>:
>> I bevieve it's reasonable to override soft-dedication unconditionally.
>> The checks for dedicated != nil seem to be needed only because
>> switch-to-buffer would fail on a "truly dedicated" buffer. However,
>> switch-to-buffer would never fail on a "softly dedicated" buffer,
>
> It could fail because it falls back on `display-buffer' when the
> selected window is a minibuffer window or dedicated.  `pop-to-buffer'
> and the remaining members of the `switch-to-buffer' family always fail
> to use a weakly dedicated window.
>

I mean override soft-dedication *inside* display-buffer. And
switch-to-buffer actually doesn't fail to override "softly dedicated"
window (see my examle).

Andrey Paramonov